public static interface MyBatisBeanEndpointBuilderFactory.MyBatisBeanBuilders
| Modifier and Type | Method and Description |
|---|---|
default MyBatisBeanEndpointBuilderFactory.MyBatisBeanEndpointBuilder |
mybatisBean(String path)
MyBatis Bean (camel-mybatis)
Perform queries, inserts, updates or deletes in a relational database
using MyBatis.
|
default MyBatisBeanEndpointBuilderFactory.MyBatisBeanEndpointBuilder |
mybatisBean(String componentName,
String path)
MyBatis Bean (camel-mybatis)
Perform queries, inserts, updates or deletes in a relational database
using MyBatis.
|
default MyBatisBeanEndpointBuilderFactory.MyBatisBeanEndpointBuilder mybatisBean(String path)
mybatis-bean:beanName:methodName
Path parameter: beanName (required)
Name of the bean with the MyBatis annotations. This can either by a
type alias or a FQN class name.
Path parameter: methodName (required)
Name of the method on the bean that has the SQL query to be executed.path - beanName:methodNamedefault MyBatisBeanEndpointBuilderFactory.MyBatisBeanEndpointBuilder mybatisBean(String componentName, String path)
mybatis-bean:beanName:methodName
Path parameter: beanName (required)
Name of the bean with the MyBatis annotations. This can either by a
type alias or a FQN class name.
Path parameter: methodName (required)
Name of the method on the bean that has the SQL query to be executed.componentName - to use a custom component name for the endpoint
instead of the default namepath - beanName:methodNameApache Camel